/*****************
 *  "include.hpp"
 *
 *  Copyright 2010 Andrei Vovk
 *
 *  This file is part of Actuation.
 *
 *  Actuation is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Actuation is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Actuation.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************/

#ifndef _INCLUDE_H_
#define _INCLUDE_H_

#define BOOST_FILESYSTEM_VERSION 3 // for boost 1.44, only

/* GTK */
#include <cairo.h>
#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

/* C/C++ */
//Clean these up
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <time.h>
#include <string.h>

#include <cmath>
#include <string>
#include <fstream>
#include <sstream>
#include <vector>
#include <iostream>
#include <set>
#include <iomanip>
#include <boost/filesystem.hpp>
#include <boost/regex.hpp>

//?
#include <deque>

#include "logging.h"
#include "config.h"

/* Platform Dependant */
#ifdef _WIN32
#define _WIN32_WINNT    0x0500
#define _WIN32_IE       0x0500
#include <windows.h>
#include <winsock.h>
#include <shlobj.h>
#else
#include  <sys/types.h>
#include <sys/wait.h>
#endif

#endif
