/*****************
 * "shape.cpp"
 *
 *  Copyright 2010 Andrei Vovk
 *
 *  This file is part of Actuation.
 *
 *  Actuation is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Actuation is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Actuation.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Description:
 *  
 *
 *****************/


#include "path.h"

// This is not cross multiplication
double cross_mult(point u, point v) {
  return (u.x * v.x + u.y * v.y)
    /(sqrt(u.x*u.x + u.y*u.y)
      *sqrt(v.x*v.x + v.y*v.y));
}
